#include "entity_shop_button.h"

/* Initializes a shop button. */
void
entity_shop_button_init(ECS* ecs, u32 id, vec3 position, u32 shopItemID)
{
	ComponentShopButton* shopButton;

	shopButton = ecs_component_add(ecs, ECS_COMPONENT_SHOP_BUTTON, id);

	component_shop_button_init
	(
	 	shopButton,
		ecs,
		position,
		shopItemID
	);
}
